Subject: Re: [PATCH] powerpc/powernv: Fix idle state allocation corruption

From: Jack Miller <[email-masked]>
Date: Wed, 20 May 2015 14:02:55 -0500

On Wed, May 20, 2015 at 10:58:42PM +0530, Shreyas B Prabhu wrote:
> 
> 
> On Wednesday 20 May 2015 10:43 PM, Jack Miller wrote:
> > pnv_alloc_idle_core_states is iterating over PACAs based on the
> > configured maximum number of CPUs (NR_CPUS), but PACAs are only
> > initialized up to nr_cpu_ids, so rein in loops to keep from overwriting
> > adjacent memory.
> > 
> 
> Hi Jack,
> 
> Jan Stancek has a patch fixing this (d52356e7f powerpc: fix memory
> corruption by pnv_alloc_idle_core_states).

Must've missed it, just ran into the issue and didn't see a fix upstream.
Just found it in the April list archive.

Thanks,

- Jack